use harmony::{
    inventory::Inventory, maestro::Maestro, modules::monitoring::ntfy::ntfy::NtfyScore,
    topology::K8sAnywhereTopology,
};

#[tokio::main]
async fn main() {
    let mut maestro = Maestro::<K8sAnywhereTopology>::initialize(
        Inventory::autoload(),
        K8sAnywhereTopology::from_env(),
    )
    .await
    .unwrap();

    maestro.register_all(vec![Box::new(NtfyScore {
        namespace: "monitoring".to_string(),
        host: "localhost".to_string(),
    })]);
    harmony_cli::init(maestro, None).await.unwrap();
}
